// file: $isip/class/asr/AnnotationIndex/andx_0.cc
// version: $Id: andx_00.cc 8570 2002-08-13 20:20:32Z alphonso $
//

// isip include files
//
#include "AnnotationIndex.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor for the AnnotationIndex class
//
AnnotationIndex::~AnnotationIndex() {}

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the AnnotationIndex class
//
AnnotationIndex::AnnotationIndex() {

  // set the allocation mode for the member data
  //
  ancr_by_id_d.setAllocationMode(DstrBase::USER);
  anno_by_id_d.setAllocationMode(DstrBase::USER);
  ancrset_d.setAllocationMode(DstrBase::USER);
}


//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String AnnotationIndex::CLASS_NAME(L"AnnotationIndex");
const String AnnotationIndex::DEF_PARAM(L"");

// static instantiations: debug level
//
Integral::DEBUG AnnotationIndex::debug_level_d = Integral::NONE;

// static instantiations: the memory manager
//
MemoryManager AnnotationIndex::mgr_d(sizeof(AnnotationIndex));






